| Elektra 0.11.0

Classes | Namespaces | Functions
pluginspec.hpp File Reference

Interface to specify which plugin is meant. More...

`#include <string>`
`#include <vector>`
`#include <kdb.hpp>`

## Classes
class | kdb::tools::PluginSpec
| Specifies a plugin by its name and configuration. More...
struct | kdb::tools::PluginSpecHash
| Only to be used with PluginSpecName! More...

## Namespaces
namespace | kdb
| This is the main namespace for the C++ binding and libraries.
namespace | kdb::tools
| This namespace is for the libtool library.

## Functions
std::ostream & | kdb::tools::operator<< (std::ostream &os, PluginSpec const &spec)
| Output the name, refname and size of config.

## Detailed Description

Interface to specify which plugin is meant.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)